DevOps Operation Results - Get
Haal het resultaat van de langlopende devops-bewerking op.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Security/securityConnectors/{securityConnectorName}/devops/default/operationResults/{operationResultId}?api-version=2024-04-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
operation
|
path | True |
string |
De resultaat-id van de bewerking. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is niet hoofdlettergevoelig. |
|
security
|
path | True |
string |
De naam van de beveiligingsconnector. |
|
subscription
|
path | True |
string minLength: 1 |
De id van het doelabonnement. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Foutreactie waarin wordt beschreven waarom de bewerking is mislukt. |
Beveiliging
azure_auth
Azure Active Directory OAuth2-stroom
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
|
Get_Dev |
|
Get_Dev |
Get_DevOpsOperationResults_Failed
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/8d4caace-e7b3-4b3e-af99-73f76829ebcf?api-version=2024-04-01
Voorbeeldrespons
{
"id": "/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/8d4caace-e7b3-4b3e-af99-73f76829ebcf?api-version=2024-04-01",
"name": "8d4caace-e7b3-4b3e-af99-73f76829ebcf",
"status": "Failed",
"startTime": "2023-06-21T03:23:15Z",
"endTime": "2023-06-21T03:25:15Z",
"percentComplete": 100,
"error": {
"code": "TokenExchangeFailed",
"message": "AzureDevOps OAuth token exchange failed"
}
}
Get_DevOpsOperationResults_Succeeded
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/4e826cf1-5c36-4808-a7d2-fb4f5170978b?api-version=2024-04-01
Voorbeeldrespons
{
"id": "/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/4e826cf1-5c36-4808-a7d2-fb4f5170978b?api-version=2024-04-01",
"name": "4e826cf1-5c36-4808-a7d2-fb4f5170978b",
"status": "Succeeded",
"startTime": "2023-06-21T03:23:15Z",
"endTime": "2023-06-21T03:25:15Z",
"percentComplete": 100
}
Definities
| Name | Description |
|---|---|
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Operation |
De huidige status van een asynchrone bewerking. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
OperationStatusResult
De huidige status van een asynchrone bewerking.
| Name | Type | Description |
|---|---|---|
| endTime |
string (date-time) |
De eindtijd van de bewerking. |
| error |
Indien aanwezig, details van de bewerkingsfout. |
|
| id |
string |
Volledig gekwalificeerde id voor de asynchrone bewerking. |
| name |
string |
Naam van de asynchrone bewerking. |
| operations |
De lijst met bewerkingen. |
|
| percentComplete |
number minimum: 0maximum: 100 |
Percentage van de bewerking die is voltooid. |
| startTime |
string (date-time) |
De begintijd van de bewerking. |
| status |
string |
Bewerkingsstatus. |